### Celery Tasks!

from django.core.checks import messages
import pendulum
from .models import Bill

from celery import shared_task

@shared_task
def get_overdue_bills(modeladmin, request, queryset):
    
    try:
        bills_list = []
        bill_request = Bill.objects.filter(is_overdue=True)
        print(bill_request)
        for bill in bill_request:
            # print(bill.id)
            bills_list.append(bill.id)                
    except Bill.DoesNotExist:
        bills_list = "There are no bills that are overdue!"
    print("function complete")
    print(bills_list)
    return('This is a test')

@shared_task
def get_upcoming_bills(modeladmin, request, queryset):
    today = pendulum.today().add(days=7)
    print(today)
    try:
        bill_request = Bill.objects.filter(is_paid=False)
        print(bill_request)
    except Bill.DoesNotExist:
        message = 'There are no bill coming due soon that are unpaid.'
        print(message)
        return(message)